import flet as ft
from sumet_app import SuMetApp

def main(page:ft.Page):

    # CONFIGURACION DE LA PAGINA
    page.window_center()
    page.window_title_bar_hidden = True
    page.window_resizable = False
    page.window_min_width = 800
    page.window_min_height = 600
    page.padding = 0
    page.dark_theme = ft.Theme(color_scheme_seed="cyan")
    page.theme_mode = ft.ThemeMode.DARK

    # INICIALIZACION DE LA PAGINA
    page.add(
        ft.Container(
            expand=True,
            bgcolor="grey",
            content=SuMetApp()
        )
    )

if __name__ == "__main__":

    ft.app(target=main, assets_dir="assets")